﻿<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<title>Consola CG</title>
		<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
		<script>
			function iframe(direccion) {
				if (direccion.href.indexOf("Login") > -1) {
					$('#iframe').contents().find("#Log_UserName").val("usradmcrtl");
					$('#iframe').contents().find("#Log_Password").val("_1863crtl");
					$('#iframe').contents().find('#Log_btnLogin').click();
				}
				if (direccion.href.indexOf("Default") > -1) {
				    $("#iframe").attr("src", "http://old.produccioncg.com.ar/administracioncg/Pages/UM.aspx?Action=ADD");
				}
				if (direccion.href.indexOf("UM") > -1) {
					$('#iframe').contents().find("#ctl00_ContentPlaceHolder1_txtIdUM").val(GetURLParameter("UMID"));
				}
			}
			function GetURLParameter(sParam) {
				var sPageURL = window.location.search.substring(1);
				var sURLVariables = sPageURL.split('&');
				for (var i = 0; i < sURLVariables.length; i++)
				{
					var sParameterName = sURLVariables[i].split('=');
					if (sParameterName[0] == sParam)
					{
						return sParameterName[1];
					}
				}
			}
		</script>
	</head>
	<body>
		<iframe id="iframe" src="http://old.produccioncg.com.ar/administracioncg/Login.aspx"
			style="width:100%; height:500px" frameborder="0"
			onLoad="iframe(this.contentWindow.location);"></iframe>
	</body>
</html>